<?php

//Theme Option -> Member
$theme_member_panel = new Miion_WP_Customize_Panel( $wp_customize, 'theme_member_panel', array(
	'title'			=> esc_html__( 'Miion Member Settings', 'miion' ),
	'description'	=> esc_html__( 'These are the miion member addon settings of miion Theme.', 'miion' ),
	'priority'		=> 12,
	'panel'			=> 'miion_theme_panel'
));
$wp_customize->add_panel( $theme_member_panel );

//Member -> Member General
$miion_member_general_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_member_general_section', array(
	'title'			=> esc_html__( 'Member General', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for member general details.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_member_panel'
));
$wp_customize->add_section( $miion_member_general_section );

//General
$wp_customize->add_setting('ajax_trigger_miion_member_general_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_member_general_section', array(
	'section'		=> 'miion_member_general_section'
)));


//Member -> Member Google
$miion_member_google_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_member_google_section', array(
	'title'			=> esc_html__( 'Login via Google', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for google member.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_member_panel'
));
$wp_customize->add_section( $miion_member_google_section );

//Google
$wp_customize->add_setting('ajax_trigger_miion_member_google_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_member_google_section', array(
	'section'		=> 'miion_member_google_section'
)));

//Member -> Member Facebook
$miion_member_facebook_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_member_facebook_section', array(
	'title'			=> esc_html__( 'Login via Facebook', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for facebook member.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_member_panel'
));
$wp_customize->add_section( $miion_member_facebook_section );

//Facebook
$wp_customize->add_setting('ajax_trigger_miion_member_facebook_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_member_facebook_section', array(
	'section'		=> 'miion_member_facebook_section'
)));

